import HcTooltip from './hc-tooltip/index.vue'
import HcTipItem from './hc-tooltip/item.vue'
import HcChoiceUser from './choice-user/choice-user.vue'
import HcReportDialog from './hc-report/hc-report.vue'
import HcInfoTable from './info-table/info-table.vue'
import HcInfoTableTd from './info-table/info-table-td.vue'
import HcTitle from './hc-title/hc-title.vue'
import HcTasksUser from './hc-tasks-user/index.vue'
import HcViewReport from './view-report/view-report.vue'
import HcGradientCard from './gradient-card/index.vue'
import HcSmsAuth from './hc-sms-auth/index.vue'
import HcPdfs from './hc-pdfs/pdfs.vue'
import HcTableForm from './table-form/index.vue'

//注册全局组件
export const setupComponents = (App) => {
    App.component('HcGradientCard', HcGradientCard)
    App.component('HcTooltip', HcTooltip)
    App.component('HcTipItem', HcTipItem)
    App.component('HcChoiceUser', HcChoiceUser)
    App.component('HcReportDialog', HcReportDialog)
    App.component('HcInfoTable', HcInfoTable)
    App.component('HcInfoTableTd', HcInfoTableTd)
    App.component('HcTitle', HcTitle)
    App.component('HcTasksUser', HcTasksUser)
    App.component('HcViewReport', HcViewReport)
    App.component('HcSmsAuth', HcSmsAuth)
    App.component('HcPdfs', HcPdfs)
    App.component('HcTableForm', HcTableForm)
}
